## flvmeta 1.0.11

=== debian/changelog ===
flvmeta (1.0.11-1) unstable; urgency=low

  * Initial release (Closes: #520900).

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 11 Feb 2011 23:54:06 +0700
