=== debian/control ===
Source: flvmeta
Section: video
Priority: extra
Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/flvmeta/

Package: flvmeta
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Metadata injector for FLV video files 
 flvmeta has the ability to inject all standard metadata tags into the
 onMetaData event, as well as insert an onLastSecond event.
 .
 It is also pretty fast and has a very small memory footprint, making it ideal
 for use as an automated tool on server environments.
