=== debian/watch ===
version=3

http://code.google.com/p/flvmeta/downloads/list?can=3 .*/flvmeta-(.*)\.tar.gz debian uupdate
