## flvmeta 1.1~r230

=== debian/changelog ===
flvmeta (1.1~r230-1) experimental; urgency=low

  * Imported Upstream version 1.1~r230
  * debian/flvmeta.1:
    - Add new Dump options -e, --event.
    - Update wording as upstream changes.
  * debian/patches/90-typo-fix.patch:
    - Drop, fixed in upstream.
  * debian/patches/series:
    - Drop, no patches.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 24 Jun 2011 00:29:07 +0700

flvmeta (1.1~r221-1) experimental; urgency=low

  * Imported Upstream version 1.1~r221
  * Drop flvdump manpage.
      * debian/flvdump.1:
        - Drop as the flvdump has been merged to flvmeta in the upstream.
      * debian/manpages:
        - Drop flvdump manpage.
  * Update flvmeta manpage.
      * debian/flvmeta.1:
        - Update as upstream has been changed, more options and functions added.
  * Add Vcs-Git, Vcs-Browser.
      * debian/control:
        - Add Vcs-Git, Vcs-Browser.
  * Update upstream copyright year.
      * debian/copyright:
        - Update upstream copyright year.
  * Add .gitignore.
      * .gitignore:
        - Ignore to include .pc/ in the repository.
  * Add 90-typo-fix.patch.
      * debian/patches/series, debian/patches/90-typo-fix.patch:
        - Add 90-typo-fix.patch, fix the typo in the upstream source to make
          lintian happy and then forwarded to upstream.
  * Fix lintian warning in manpage.
      * debian/flvmeta.1:
        - Fix lintian warning "spelling-error-in-manpage". Fix typo "ommitted"
          to "omitted".
        - Fix lintian warning "hyphen-used-as-minus-sign". Therefore, "-" must
          be escaped ("\-").
  * Update Standards-Version to 3.9.2.
      * debian/control:
        - Update Standards-Version to 3.9.2, no changes needed.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Sun, 24 Apr 2011 14:09:23 +0700
