=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: extra
 Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/collab-maint/flvmeta.git
+Vcs-Browser: http://alioth.debian.org/anonscm/git/collab-maint/flvmeta.git/
 Homepage: http://code.google.com/p/flvmeta/
 
 Package: flvmeta
