=== debian/changelog ===
flvmeta (1.1~r235-2) experimental; urgency=low

  * Use wrap-and-sort tool and re-wrap lines in debian copyright
  * Update watch file
    * debian/watch:
      - Add dversionmangle option.
      - Update the http url.
  * Drop roff documentation from manpage
  * Update patch description
    * debian/patches/01-use-system-libs.patch:
      - Add forwarded url.
  * Add compiler warning fix patch
    * debian/patches/03-update-json-compiler-warning-prix64.patch:
      - Add patch. (Forwarded upstream)
    * debian/patches/series:
      - Add patch to series.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 23 Nov 2011 13:12:07 +0700

flvmeta (1.1~r235-1) experimental; urgency=low

  * Imported Upstream version 1.1~r235
  * Drop the blank line in debian/watch
  * Use gitweb for Vcs-Browser URL
  * Add "use-system-libs" patch
    * debian/patches/01-use-system-libs.patch:
      - Add "use-system-libs" patch. (forwarded upstream, waiting for
        review).
    * debian/patches/02-configure-drop-svnversion-check.patch:
      - Add "configure-drop-svnversion-check", as the use-system-libs patch
        was applied, we need to reconfig but the configured version which
        gathering from the svnversion is unnecessary.
    * debian/patches/series:
      - Add the patches to the series.
    * debian/control:
      - Add dh-autoreconf, libyaml-dev, pkg-config and check to build-deps.
    * debian/rules:
      - Override the dh_auto_configure to add option --with-system-libs.
  * Update debian copyright to DEP-5 rev 206
    * debian/copyright:
      - Update to DEP-5 rev 206.
      - Update text "Debian GNU/Linux systems" to "Debian systems" in GPL-2+
        license text.
  * Add hardening build flags which getting from dpkg-buildflags

 -- Neutron Soutmun <neo.neutron@gmail.com>  Tue, 22 Nov 2011 15:33:53 +0700
