=== debian/control ===
Source: flvmeta
Section: video
Priority: extra
Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
Build-Depends: autotools-dev,
               check,
               debhelper (>= 7.0.50~),
               dh-autoreconf,
               libyaml-dev,
               pkg-config
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/collab-maint/flvmeta.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flvmeta.git
Homepage: http://code.google.com/p/flvmeta/

Package: flvmeta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Metadata injector for FLV video files
 flvmeta has the ability to inject all standard metadata tags into the
 onMetaData event, as well as insert an onLastSecond event.
 .
 It is also pretty fast and has a very small memory footprint, making it ideal
 for use as an automated tool on server environments.
