=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+bindnow" dpkg-buildflags

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-system-libs $(shell $(dpkg_buildflags) --export=configure)
