=== debian/watch ===
version=3
opts=dversionmangle=s/~/-/ \
http://code.google.com/p/flvmeta/downloads/list?can=1 .*/flvmeta-(.*)\.tar.gz debian uupdate
