## flvmeta 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,27 +1,30 @@
 cmake_minimum_required(VERSION 2.6)
 project(flvmeta C)
 
-set(FLVMETA_VERSION "1.1")
+set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-# check whether we're in an instable branch
-string(REGEX MATCH "^[0-9]+\\.([0-9]+)" MATCHES "${FLVMETA_VERSION}")
-if(MATCHES)
-  math(EXPR FLVMETA_MINOR_ODD "${CMAKE_MATCH_1} % 2")
-  if(FLVMETA_MINOR_ODD)
-  # if so, check for svnversion, and retrieve current revision
-    find_program(SVNVERSION_FOUND "svnversion")
-    if(SVNVERSION_FOUND)
-      execute_process(COMMAND           svnversion -n
-                      WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
-                      OUTPUT_VARIABLE   SVNVERSION)
-      string(REGEX MATCH "^[0-9]+$" SVNVERSION_IS_NUMERIC "${SVNVERSION}")
-      if(SVNVERSION_IS_NUMERIC)
-        # if we have a numeric revision, use it as release number
-        set(FLVMETA_VERSION "${FLVMETA_VERSION}-r${SVNVERSION}")
-      endif(SVNVERSION_IS_NUMERIC)
-    endif(SVNVERSION_FOUND)
-  endif(FLVMETA_MINOR_ODD)
-endif(MATCHES)
+set(FLVMETA_VERSION "1.1.1")
+set(FLVMETA_RELEASE yes)
+
+# check whether we are building a release or a git snapshot
+if(NOT FLVMETA_RELEASE)
+  # check for git
+  find_program(GIT "git")
+  mark_as_advanced(GIT)
+  # check whether we are in a git repository
+  find_file(DOT_GIT ".git" ${CMAKE_SOURCE_DIR})
+  mark_as_advanced(DOT_GIT)
+  if(GIT AND DOT_GIT)
+    # retrieve current revision
+    execute_process(
+      COMMAND "${GIT}" rev-parse --short HEAD
+      WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
+      OUTPUT_VARIABLE   GIT_RELEASE
+      OUTPUT_STRIP_TRAILING_WHITESPACE
+    )
+    set(FLVMETA_VERSION "${FLVMETA_VERSION}-g${GIT_RELEASE}")
+  endif(GIT AND DOT_GIT)
+endif(NOT FLVMETA_RELEASE)
 
 # generic variables
 set(PACKAGE           "flvmeta")
@@ -29,6 +32,12 @@
 set(PACKAGE_BUGREPORT "flvmeta-discussion@googlegroups.com")
 set(PACKAGE_VERSION   "${FLVMETA_VERSION}")
 set(PACKAGE_STRING    "${PACKAGE_NAME} ${PACKAGE_VERSION}")
+
+# build options
+set(
+  FLVMETA_USE_SYSTEM_LIBYAML FALSE
+  CACHE BOOL "Link flvmeta to the installed version of libyaml"
+)
 
 #platform tests
 include(CheckFunctionExists)
@@ -69,8 +78,11 @@
 # large file support
 check_function_exists("fseeko" HAVE_FSEEKO)
 if(HAVE_FSEEKO)
-  execute_process(COMMAND getconf LFS_CFLAGS
-    OUTPUT_VARIABLE LFS_CFLAGS)
+  execute_process(
+    COMMAND getconf LFS_CFLAGS
+    OUTPUT_VARIABLE LFS_CFLAGS
+    ERROR_QUIET
+  )
   if(LFS_CFLAGS)
     add_definitions(${LFS_CFLAGS})
   endif(LFS_CFLAGS)
@@ -92,7 +104,10 @@
 
 # installation
 set(CPACK_PACKAGE_VENDOR "Marc Noirot <marc.noirot@gmail.com>")
-set(CPACK_SOURCE_IGNORE_FILES "/build.*;/CVS/;/\\\\.svn/;/\\\\.bzr/;/\\\\.hg/;/\\\\.git/;\\\\.swp$;\\\\.#;/#")
+set(CPACK_PACKAGE_VERSION ${FLVMETA_VERSION})
+set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/COPYING)
+set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README)
+set(CPACK_SOURCE_IGNORE_FILES "/*build*;/CVS/;/\\\\.svn/;/\\\\.bzr/;/\\\\.hg/;/\\\\.git/;\\\\.swp$;\\\\.#;/#")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}-src")
 
 if(WIN32)
@@ -114,6 +129,7 @@
 include(CPack)
 
 add_subdirectory(src)
+add_subdirectory(man)
 
 # tests
 #enable_testing()
