=== debian/changelog ===
flvmeta (1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1 (upload to unstable)
  * Drop d/p/99-fix-spelling-error-in-manpage.patch, merged upstream.
  * Fix watch file, thanks to Bart Martens
  * Update copyright years
  * Make package backports friendly
    * debian/control:
      - Build-dep on debhelper (>=9.20120909~)

 -- Neutron Soutmun <neo.neutron@gmail.com>  Sat, 11 May 2013 10:15:41 +0700

flvmeta (1.1.0-1) experimental; urgency=low

  * Imported Upstream version 1.1.0
  * Upstream change main development repository to github
    * debian/control, debian/copyright:
      - Update Homepage, Source, to flvmeta github repository.
    * debian/watch:
      - Watching the tarball release via githubredir.d.n
    * debian/copyright:
      - Update the copyright format to 1.0, no changes needed.
  * Switch to cmake build system
    * debian/compat: Bump compat level to 9.
    * debian/control:
      - Bump Standards-Version to 3.9.4, no changes needed.
      - Drop autotools-dev, check, dh-autoreconf, pkg-config from build-deps as
        they are no longer needed by the cmake build system.
      - Add cmake to build-deps.
    * debian/rules:
      - Force to use cmake build system as it was requested from upstream.
        (Upstream has a plan to discontinue support autotools build system)
    * debian/patches/90-cmake-use-system-libyaml.patch: Add patch.
  * Use upstream manpage
    * debian/control:
      - Add pandoc to build-deps.
    * debian/manpages, debian/flvmeta.1:
      - Drop, superseded by upstream autogenerated manpage by pandoc
  * Install README.md
  * Add patch to fix spelling error in manpage
    * debian/patches/99-fix-spelling-error-in-manpage.patch:
      - Fix spelling error in manpage

 -- Neutron Soutmun <neo.neutron@gmail.com>  Tue, 02 Oct 2012 14:32:00 +0700
