=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: video
 Priority: extra
 Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
-Build-Depends: autotools-dev,
-               check,
-               debhelper (>= 7.0.50~),
-               dh-autoreconf,
-               libyaml-dev,
-               pkg-config
-Standards-Version: 3.9.2
+Build-Depends:
+ cmake,
+ debhelper (>= 9.20120909~),
+ libyaml-dev,
+ pandoc
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/collab-maint/flvmeta.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flvmeta.git
-Homepage: http://code.google.com/p/flvmeta/
+Homepage: http://github.com/noirotm/flvmeta
 
 Package: flvmeta
 Architecture: any
