## flvmeta 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-set(FLVMETA_VERSION "1.1.1")
+set(FLVMETA_VERSION "1.1.2")
 set(FLVMETA_RELEASE yes)
 
 # check whether we are building a release or a git snapshot
