=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,23 +46,34 @@
   include_directories(compat)
 endif(WIN32)
 
-# libyaml
-
 # static build
-if (WIN32)
+if(WIN32)
   add_definitions(-DYAML_DECLARE_STATIC)
-endif (WIN32)
-
-include_directories(libyaml)
-add_subdirectory(libyaml)
+endif(WIN32)
 
 add_executable(flvmeta ${flvmeta_src})
-target_link_libraries(flvmeta yaml)
+
+# libyaml
+if(FLVMETA_USE_SYSTEM_LIBYAML)
+  # search for libyaml on the system, link with it
+  find_package(LibYAML REQUIRED)
+  include_directories(${LIBYAML_INCLUDE_DIR})
+  target_link_libraries(flvmeta ${LIBYAML_LIBRARIES})
+else(FLVMETA_USE_SYSTEM_LIBYAML)
+  # use bundled version of libyaml
+  include_directories(libyaml)
+  add_subdirectory(libyaml)
+  target_link_libraries(flvmeta yaml)
+endif(FLVMETA_USE_SYSTEM_LIBYAML)
 
 if(WIN32)
-  install(TARGETS flvmeta
-    RUNTIME DESTINATION .)
+  install(
+    TARGETS flvmeta
+    RUNTIME DESTINATION .
+  )
 else(WIN32)
-  install(TARGETS flvmeta
-    RUNTIME DESTINATION bin)
+  install(
+    TARGETS flvmeta
+    RUNTIME DESTINATION bin
+  )
 endif(WIN32)
