=== debian/changelog ===
flvmeta (1.1.2-1) unstable; urgency=low

  * Imported Upstream version 1.1.2
  * Add patch and fix typo
    * debian/patches/91_fix_file_offset_t_printf_format_warning.patch:
      - Add patch to fix the printf format warning of type file_offset_t
    * debian/patches/90-cmake-use-system-libyaml.patch:
      - Fix my lastname typo
  * Fix Vcs-Git field is not canonical

 -- Neutron Soutmun <neo.neutron@gmail.com>  Thu, 15 Aug 2013 09:52:22 +0700
