=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libyaml-dev,
  pandoc
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/collab-maint/flvmeta.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/flvmeta.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flvmeta.git
 Homepage: http://github.com/noirotm/flvmeta
