=== debian/watch ===
version=3
https://github.com/noirotm/flvmeta/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R)(\d\S*)\.tar\.gz
# Bart Martens <bartm@debian.org>  Wed, 13 Mar 2013 18:38:25 +0000
