## flvmeta 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-set(FLVMETA_VERSION "1.1.2")
+set(FLVMETA_VERSION "1.2.0")
 set(FLVMETA_RELEASE yes)
 
 # check whether we are building a release or a git snapshot
@@ -22,7 +22,7 @@
       OUTPUT_VARIABLE   GIT_RELEASE
       OUTPUT_STRIP_TRAILING_WHITESPACE
     )
-    set(FLVMETA_VERSION "${FLVMETA_VERSION}-g${GIT_RELEASE}")
+    set(FLVMETA_VERSION "${FLVMETA_VERSION}-dev+g${GIT_RELEASE}")
   endif(GIT AND DOT_GIT)
 endif(NOT FLVMETA_RELEASE)
 
@@ -41,6 +41,7 @@
 
 #platform tests
 include(CheckFunctionExists)
+include(CheckSymbolExists)
 include(CheckIncludeFile)
 include(CheckTypeSize)
 include(TestBigEndian)
@@ -53,10 +54,8 @@
 check_type_size("double"      SIZEOF_DOUBLE)
 check_type_size("float"       SIZEOF_FLOAT)
 check_type_size("long double" SIZEOF_LONG_DOUBLE)
-
-if(WIN32)
-  add_definitions(-D_FILE_OFFSET_BITS=64)
-endif(WIN32)
+check_type_size("long"        SIZEOF_LONG)
+check_type_size("long long"   SIZEOF_LONG_LONG)
 
 # MSVC before VS 2010 did not have stdint.h
 if(MSVC AND NOT HAVE_STDINT_H)
@@ -75,6 +74,9 @@
   set(WORDS_BIGENDIAN 1)
 endif(IS_BIGENDIAN)
 
+# C99 isfinite support
+check_symbol_exists("isfinite" math.h HAVE_ISFINITE)
+
 # large file support
 check_function_exists("fseeko" HAVE_FSEEKO)
 if(HAVE_FSEEKO)
@@ -82,10 +84,20 @@
     COMMAND getconf LFS_CFLAGS
     OUTPUT_VARIABLE LFS_CFLAGS
     ERROR_QUIET
+    OUTPUT_STRIP_TRAILING_WHITESPACE
   )
+
   if(LFS_CFLAGS)
     add_definitions(${LFS_CFLAGS})
+    set(CMAKE_REQUIRED_FLAGS ${LFS_CFLAGS})
   endif(LFS_CFLAGS)
+
+  if(WIN32)
+    add_definitions(-D_FILE_OFFSET_BITS=64)
+    set(CMAKE_REQUIRED_FLAGS -D_FILE_OFFSET_BITS=64)
+  endif(WIN32)
+
+  check_type_size("off_t" SIZEOF_OFF_T)
 endif(HAVE_FSEEKO)
 
 # configuration file
@@ -97,7 +109,7 @@
 if(MSVC)
   # use static library
   set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")
-  
+
   # C runtime deprecation in Visual C++ 2005 and later
   add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
 endif(MSVC)
@@ -105,8 +117,8 @@
 # installation
 set(CPACK_PACKAGE_VENDOR "Marc Noirot <marc.noirot@gmail.com>")
 set(CPACK_PACKAGE_VERSION ${FLVMETA_VERSION})
-set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/COPYING)
-set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README)
+set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/LICENSE.md)
+set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README.md)
 set(CPACK_SOURCE_IGNORE_FILES "/*build*;/CVS/;/\\\\.svn/;/\\\\.bzr/;/\\\\.hg/;/\\\\.git/;\\\\.swp$;\\\\.#;/#")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}-src")
 
@@ -119,9 +131,9 @@
 
   set(CPACK_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}-win${EXECUTABLE_TYPE}")
   set(CPACK_GENERATOR ZIP)
-  install(FILES ${CMAKE_SOURCE_DIR}/README  DESTINATION . RENAME Readme.txt)
-  install(FILES ${CMAKE_SOURCE_DIR}/COPYING DESTINATION . RENAME License.txt)
-  install(FILES ${CMAKE_SOURCE_DIR}/NEWS    DESTINATION . RENAME Changelog.txt)
+  install(FILES ${CMAKE_SOURCE_DIR}/README.md       DESTINATION . RENAME Readme.txt)
+  install(FILES ${CMAKE_SOURCE_DIR}/LICENSE.md      DESTINATION . RENAME License.txt)
+  install(FILES ${CMAKE_SOURCE_DIR}/CHANGELOG.md    DESTINATION . RENAME Changelog.txt)
 else(WIN32)
   set(CPACK_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}")
 endif(WIN32)
@@ -131,6 +143,13 @@
 add_subdirectory(src)
 add_subdirectory(man)
 
-# tests
-#enable_testing()
-#add_subdirectory(tests)
+# check unit testing framework
+find_package(Check)
+
+# Enable unit testing if Check has been found
+if(CHECK_FOUND)
+  # tests
+  enable_testing()
+
+  add_subdirectory(tests)
+endif(CHECK_FOUND)
