=== debian/changelog ===
flvmeta (1.2.0-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0
  * Drop d/p/91_fix_file_offset_t_printf_format_warning.patch:
    * Drop patch, the better solution fixed by upstream
  * debian/docs: Drop files, removed upstream.
  * debian/control: Update
    * Change my email to neutrons@debian.org
    * Bump Standards-Version to 3.9.8, no changes needed
    * Update Vcs-* with secure uri
  * d/p/fix-manpage-spelling-errors.patch: Fix manpage spelling errors

 -- Neutron Soutmun <neutrons@debian.org>  Mon, 08 Aug 2016 14:05:21 +0700
