=== debian/changelog ===
flvmeta (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Drop d/p/fix-manpage-spelling-errors.patch, Merged upstream.

 -- Neutron Soutmun <neutrons@debian.org>  Sun, 02 Oct 2016 09:44:23 +0700
