=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: flvmeta
 Section: video
 Priority: extra
-Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
+Maintainer: Neutron Soutmun <neutrons@debian.org>
 Build-Depends:
  cmake,
  debhelper (>= 9.20120909~),
  libyaml-dev,
  pandoc
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/collab-maint/flvmeta.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flvmeta.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/flvmeta.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flvmeta.git
 Homepage: http://github.com/noirotm/flvmeta
 
 Package: flvmeta
