## flvmeta 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-set(FLVMETA_VERSION "1.2.1")
+set(FLVMETA_VERSION "1.2.2")
 set(FLVMETA_RELEASE yes)
 
 # check whether we are building a release or a git snapshot
@@ -148,8 +148,15 @@
 
 # Enable unit testing if Check has been found
 if(CHECK_FOUND)
-  # tests
-  enable_testing()
+  set(CMAKE_REQUIRED_INCLUDES ${CHECK_INCLUDE_DIRS})
+  set(CMAKE_REQUIRED_LIBRARIES ${CHECK_LIBRARIES})
+  set(CMAKE_REQUIRED_FLAGS -L${CHECK_LIBRARY_DIRS})
+  check_symbol_exists(ck_assert_double_eq check.h HAVE_CK_ASSERT_DOUBLE_EQ)
 
-  add_subdirectory(tests)
+  if(HAVE_CK_ASSERT_DOUBLE_EQ)
+    # tests
+    enable_testing()
+
+    add_subdirectory(tests)
+  endif(HAVE_CK_ASSERT_DOUBLE_EQ)
 endif(CHECK_FOUND)
