=== debian/changelog ===
flvmeta (1.2.2-2~exp1) experimental; urgency=medium

  * Update debian/gbp.conf
    * Update default configuration:
      * debian-branch = debian/latest
      * upstream-branch = upstream/latest
    * Update buildpackage configuration:
      * pbuilder-options = --source-only-changes
  * Update watch file with version 5 format
  * Update debian/control
    * Remove redundant Rules-Requires-Root,
      this field is set to "no" by default.
    * Bump Standards-Version to 4.7.2, no changes.
  * Update debian/copyright
    * Update old FSF address by refer to
      https://www.gnu.org/licenses/ instead of physical address.
    * Update maintainer's copyright year and email
  * Update cmake minimum version
    * debian/rules:
      * Update cmake minimum version to 3.5, Closes: 1112924

 -- Neutron Soutmun <neutrons@debian.org>  Sun, 21 Sep 2025 14:39:09 +0700

flvmeta (1.2.2-1) unstable; urgency=medium

  * Team upload of Debian team.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ наб ]
  * New upstream version 1.2.2
    Closes: #1038977, #1072292
    CVE-2023-36243
  * d/watch: fix
  * .gbp.conf (deprecated) => debian/gbp.conf
  * Replace d/p/90-cmake-use-system-libyaml.patch
    with -DFLVMETA_USE_SYSTEM_LIBYAML=TRUE
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Priority: extra -> optional
    (priority-extra-is-replaced-by-priority-optional)
  * d/copyright: fix

  [ Andreas Tille ]
  * Use secure URI in Homepage field.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 13 Nov 2024 14:25:06 +0100
