=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: flvmeta
 Section: video
-Priority: extra
+Priority: optional
 Maintainer: Neutron Soutmun <neutrons@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9.20120909~),
+ debhelper-compat (= 13),
  libyaml-dev,
  pandoc
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/flvmeta.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flvmeta.git
-Homepage: http://github.com/noirotm/flvmeta
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/debian/flvmeta.git
+Vcs-Browser: https://salsa.debian.org/debian/flvmeta
+Homepage: https://github.com/noirotm/flvmeta
 
 Package: flvmeta
 Architecture: any
