=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- -DFLVMETA_USE_SYSTEM_LIBYAML=TRUE -DCMAKE_POLICY_VERSION_MINIMUM=3.5

%:
	dh $@ --buildsystem=cmake
